diff --git a/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test b/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
index 1be7a6e1..700d924b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
+++ b/drupal7/sites/all/modules/ldap/ldap_user/tests/ldap_user.test
@@ -593,36 +603,39 @@ class LdapUserUnitTests extends LdapTestCase {
         ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE);
         ldap_servers_flush_server_cache();
 
-        // 2. delete user
+        // 2. delete user.
         $username = $test['user'];
         $user_object = user_load_by_name($username);
         if (is_object($user_object)) {
-          user_delete($user_object->uid); // watch out for this.
+          // Watch out for this.
+          user_delete($user_object->uid);
         }
 
-        // 3. create new user with provisionDrupalAccount
+        // 3. create new user with provisionDrupalAccount.
         $account = NULL;
-        $user_edit = array('name' => $username);
-       // $this->ldapTestId = $this->module_name . ': provisionDrupalAccount function test';
+        $user_edit = ['name' => $username];
         $result = $ldap_user_conf->provisionDrupalAccount($account, $user_edit, NULL, TRUE);
         list($user_object, $user_entity) = ldap_user_load_user_acct_and_entity($username);
         if ($property_name) {
-          if (in_array($prov_event, $ldap_user_conf->ldapUserSynchMappings[$direction][$property_token]['prov_events'])) { // if intended to synch
+          // If intended to synch.
+          if (in_array($prov_event, $ldap_user_conf->ldapUserSynchMappings[$direction][$property_token]['prov_events'])) {
             $property_success = ($user_object->{$property_name} == $test['property_results'][0]);
             $this->assertTrue($property_success, t("provisionDrupalAccount worked for property $property_name"), $this->testId(":provisionDrupalAccount.i=$j.prov_event=$prov_event"));
             if (!$property_success) {
-              debug('field fail,' . $property_name); debug($user_entity->{$property_name}); debug($test['property_results'][0]); //debug($user_entity);
+              debug('field fail,' . $property_name); debug($user_entity->{$property_name}); debug($test['property_results'][0]);
             }
           }
         }
         if ($field_name) {
 
-          if (in_array($prov_event, $ldap_user_conf->ldapUserSynchMappings[$direction][$field_token]['prov_events'])) { // if intended to synch
+          // If intended to synch.
+          if (in_array($prov_event, $ldap_user_conf->ldapUserSynchMappings[$direction][$field_token]['prov_events'])) {
             $field_success = isset($user_entity->{$field_name}[LANGUAGE_NONE][0]['value']) &&
               $user_entity->{$field_name}[LANGUAGE_NONE][0]['value'] == $test['field_results'][0];
             $this->assertTrue($field_success, t("provisionDrupalAccount worked for field $field_name"), $this->testId(":provisionDrupalAccount.i=$j.prov_event=$prov_event"));
             if (!$field_success) {
-              debug('field fail,' . $field_name); debug($user_entity->{$field_name}); debug($test['field_results'][0]); //debug($user_entity);
+              // debug($user_entity);
+              debug('field fail,' . $field_name); debug($user_entity->{$field_name}); debug($test['field_results'][0]);
             }
           }
           else {
@@ -631,56 +644,57 @@ class LdapUserUnitTests extends LdapTestCase {
         }
         ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE);
       }
-      
-            /**
+
+      /**
         * manually create drupal user with option of not ldap associated checked
         */
-   
+
       if ($hpotter = user_load_by_name('hpotter')) {
         user_delete($hpotter->uid);
       }
       $this->assertFalse(user_load_by_name('hpotter'), t('hpotter removed before manual account creation test'), $this->testId('manual non ldap account created'));
-      
+
       $this->drupalLogout();
       $this->drupalLogin($this->privileged_user);
       $this->drupalGet('admin/people/create');
-      $edit = array(
+      $edit = [
         'name' => 'hpotter',
         'mail' => 'hpotter@hogwarts.edu',
         'pass[pass1]' => 'goodpwd',
         'pass[pass2]' => 'goodpwd',
         'notify' => FALSE,
         'ldap_user_association' => LDAP_USER_MANUAL_ACCT_CONFLICT_NO_LDAP_ASSOCIATE,
-      );
+      ];
       $this->drupalPost('admin/people/create', $edit, t('Create new account'));
-      
+
       $hpotter = user_load_by_name('hpotter');
       $this->assertTrue($hpotter, t('hpotter created via ui form'), $this->testId('manual non ldap account created'));
       $this->assertTrue($hpotter && !ldap_user_is_ldap_associated($hpotter), t('hpotter not ldap associated'), $this->testId('manual non ldap account created'));
-       
-     
-     
-    }
-         /**
-     * $entry = $servers['activedirectory1']->dnExists($desired_dn, 'ldap_entry');
 
-     * $this->assertFalse($entry, t("Corresponding LDAP entry deleted when Drupal Account deleted for " . $username), $this->ldapTestId);
-     */
+    }
   }
 
 }
-
+/**
+ *
+ */
 class LdapUserIntegrationTests extends LdapTestCase {
 
+  /**
+   *
+   */
   public static function getInfo() {
-    return array(
+    return [
       'name' => 'LDAP User Integration Tests',
       'description' => 'Test provisioning and synching in real contexts such as account creation on logon, synching on user edit, etc.',
-      'group' => 'LDAP User'
-    );
+      'group' => 'LDAP User',
+    ];
   }
 
-  function __construct($test_id = NULL) {
+  /**
+   *
+   */
+  public function __construct($test_id = NULL) {
     parent::__construct($test_id);
   }
 
@@ -688,27 +702,29 @@ class LdapUserIntegrationTests extends LdapTestCase {
   protected $ldap_test_data;
 
   /**
-   *  create one or more server configurations in such as way
-   *  that this setUp can be a prerequisite for ldap_authentication and ldap_authorization
+   * Create one or more server configurations in such as way
+   *  that this setUp can be a prerequisite for ldap_authentication and ldap_authorization.
    */
-
-  function setUp() {
-    parent::setUp(array('ldap_user', 'ldap_test'));
+  public function setUp() {
+    parent::setUp(['ldap_user', 'ldap_test']);
     variable_set('ldap_simpletest', 2);
   }
 
-  function tearDown() {
+  /**
+   *
+   */
+  public function tearDown() {
     parent::tearDown();
     variable_del('ldap_help_watchdog_detail');
     variable_del('ldap_simpletest');
   }
 
- /**
-   * integration tests for provisioning to ldap
+  /**
+   * Integration tests for provisioning to ldap.
    */
-  function testProvisionToLdap() {
+  public function testProvisionToLdap() {
 
-    // just to give warning if setup doesn't succeed.  may want to take these out at some point.
+    // Just to give warning if setup doesn't succeed.  may want to take these out at some point.
     $setup_success = (
         module_exists('ldap_user') &&
         module_exists('ldap_servers') &&
@@ -716,9 +732,10 @@ class LdapUserIntegrationTests extends LdapTestCase {
       );
     $this->assertTrue($setup_success, ' ldap_user setup successful', $this->testId("setup"));
 
-    foreach (array('activedirectory1', 'openldap1') as $test_sid) {
-      $sids = array($test_sid);
-      $this->prepTestData('hogwarts', $sids, 'provisionToLdap_' . $test_sid); // this will create the proper ldap_user configuration from ldap_test/ldap_user.conf.inc
+    foreach (['activedirectory1', 'openldap1'] as $test_sid) {
+      $sids = [$test_sid];
+      // This will create the proper ldap_user configuration from ldap_test/ldap_user.conf.inc.
+      $this->prepTestData('hogwarts', $sids, 'provisionToLdap_' . $test_sid);
       $ldap_user_conf = ldap_user_conf('default', TRUE);
 
       // 9.B. Create and approve new user, populating first and last name.
@@ -726,12 +743,12 @@ class LdapUserIntegrationTests extends LdapTestCase {
       if ($user = user_load_by_name($username)) {
         user_delete($user->uid);
       }
-      $user_edit = array(
+      $user_edit = [
         'name' => $username,
         'mail' => $username . '@hogwarts.org',
         'pass' => user_password(),
         'status' => 1,
-      );
+      ];
       $user_acct = new stdClass();
       $user_acct->is_new = TRUE;
       $user_acct->field_fname[LANGUAGE_NONE][0]['value'] = 'Bercilak';
@@ -760,20 +777,21 @@ class LdapUserIntegrationTests extends LdapTestCase {
         debug('ldap_user_conf'); debug($ldap_user_conf);
       }
 
-
-      ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE);  // need to reset for simpletests
+      // Need to reset for simpletests.
+      ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE);
 
       // Change lastname and first name (in drupal) and save user to test ldapSynch event handler
-      // confirm that appropriate attributes were changed in ldap entry
+      // confirm that appropriate attributes were changed in ldap entry.
       $ldap_entry_pre = $servers[$test_sid]->dnExists($desired_dn, 'ldap_entry');
       $user_acct_pre = user_load_by_name('bhautdeser');
-      $edit = array();
+      $edit = [];
       $edit['field_fname'][LANGUAGE_NONE][0]['value'] = 'Bredbeddle';
       $edit['field_lname'][LANGUAGE_NONE][0]['value'] = 'Hautdesert';
       $user_acct = user_save($user_acct, $edit);
       $user_acct_post = user_load_by_name('bhautdeser');
 
-      $servers = ldap_servers_get_servers(NULL, NULL, FALSE, TRUE); // clear cache
+      // Clear cache.
+      $servers = ldap_servers_get_servers(NULL, NULL, FALSE, TRUE);
       $ldap_entry_post = $servers[$test_sid]->dnExists($desired_dn, 'ldap_entry');
 
       $ldap_entry_success = (
@@ -792,18 +810,18 @@ class LdapUserIntegrationTests extends LdapTestCase {
         debug('ldap_user_conf'); debug($ldap_user_conf);
       }
 
-
-    // Change username and first name (in drupal) and save user to test ldapSynch event handler
-      // confirm that appropriate attributes were changed in ldap entry
+      // Change username and first name (in drupal) and save user to test ldapSynch event handler
+      // confirm that appropriate attributes were changed in ldap entry.
       $ldap_entry_pre = $servers[$test_sid]->dnExists($desired_dn, 'ldap_entry');
       $user_acct_pre = user_load_by_name('bhautdeser');
-      $edit = array();
+      $edit = [];
       $edit['field_fname'][LANGUAGE_NONE][0]['value'] = 'Bredbeddle';
       $edit['field_lname'][LANGUAGE_NONE][0]['value'] = 'Hautdesert';
       $user_acct = user_save($user_acct, $edit);
       $user_acct_post = user_load_by_name('bhautdeser');
 
-      $servers = ldap_servers_get_servers(NULL, NULL, FALSE, TRUE); // clear cache
+      // Clear cache.
+      $servers = ldap_servers_get_servers(NULL, NULL, FALSE, TRUE);
       $ldap_entry_post = $servers[$test_sid]->dnExists($desired_dn, 'ldap_entry');
 
       $ldap_entry_success = (
@@ -828,27 +846,30 @@ class LdapUserIntegrationTests extends LdapTestCase {
      * use case where a user self creates and confirms a drupal account and
      *  a corresponding ldap entry with password is created
      */
-    $password_tests = array(
+    $password_tests = [
       '[password.user-random]' => 'goodpwd',
       '[password.random]' => 'random',
-    );
+    ];
 
     foreach ($password_tests as $password_token => $password_result) {
       $test_id = "provisionToLdapEmailVerification $password_token, $test_sid";
-      ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE); // need to reset for simpletests
+      // Need to reset for simpletests.
+      ldap_user_ldap_provision_semaphore(NULL, NULL, NULL, TRUE);
       /**
        * provisionToLdapEmailVerification setup
        */
-      $this->prepTestData('hogwarts', $sids, 'provisionToLdap_' . $test_sid); // this will create the proper ldap_user configuration from ldap_test/ldap_user.conf.inc
+      // This will create the proper ldap_user configuration from ldap_test/ldap_user.conf.inc.
+      $this->prepTestData('hogwarts', $sids, 'provisionToLdap_' . $test_sid);
       $ldap_user_conf = ldap_user_conf('admin', TRUE);
-      $ldap_user_conf->drupalAcctProvisionServer = 0; // turn off provisioning to drupal
+      // Turn off provisioning to drupal.
+      $ldap_user_conf->drupalAcctProvisionServer = 0;
       $ldap_user_conf->ldapEntryProvisionServer = $test_sid;
-      $ldap_user_conf->ldapEntryProvisionTriggers = array(
+      $ldap_user_conf->ldapEntryProvisionTriggers = [
         LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE,
-        LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE
-      );
+        LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE,
+      ];
 
-      $ldap_user_conf->ldapUserSynchMappings[LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY]['[password]'] = array(
+      $ldap_user_conf->ldapUserSynchMappings[LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY]['[password]'] = [
         'sid' => $test_sid,
         'ldap_attr' => '[password]',
         'user_attr' => 'user_tokens',
@@ -857,15 +878,17 @@ class LdapUserIntegrationTests extends LdapTestCase {
         'config_module' => 'ldap_user',
         'synch_module' => 'ldap_user',
         'enabled' => 1,
-        'prov_events' => array(LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY),
-      );
+        'prov_events' => [LDAP_USER_EVENT_CREATE_LDAP_ENTRY, LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY],
+      ];
 
       $ldap_user_conf->save();
       $ldap_user_conf = ldap_user_conf('default', TRUE);
 
       variable_set('user_email_verification', TRUE);
-      variable_set('user_register', USER_REGISTER_VISITORS); // or USER_REGISTER_ADMINISTRATORS_ONLY, USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL
-      variable_set('user_cancel_method', 'user_cancel_block'); // user_cancel_block_unpublish, user_cancel_reassign, user_cancel_delete
+      // Or USER_REGISTER_ADMINISTRATORS_ONLY, USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL.
+      variable_set('user_register', USER_REGISTER_VISITORS);
+      // user_cancel_block_unpublish, user_cancel_reassign, user_cancel_delete.
+      variable_set('user_cancel_method', 'user_cancel_block');
       $username = 'sstephens';
       $this->drupalLogout();
       if ($sstephens = user_load_by_name($username)) {
@@ -875,43 +898,46 @@ class LdapUserIntegrationTests extends LdapTestCase {
       /**
        * provisionToLdapEmailVerification test
        */
-      $this->drupalGet('user/register');  // user register form
-      $edit = array(
+      // User register form.
+      $this->drupalGet('user/register');
+      $edit = [
         'name' => $username,
         'mail' => $username . '@hogwarts.edu',
-        );
+      ];
 
-      $this->createTestUserFields(); // this will create last and first name fields
+      // This will create last and first name fields.
+      $this->createTestUserFields();
 
       $this->drupalPost('user/register', $edit, t('Create new account'));
 
       $sstephens = user_load_by_name($username);
 
-
-       //can't derive login url, must get it from outgoing email because timestamp in hash is not stored in user_mail_tokens()
-
+      // can't derive login url, must get it from outgoing email because timestamp in hash is not stored in user_mail_tokens()
       $emails = $this->drupalGetMails();
-      $email_body = $emails[count($emails) - 1]['body']; // most recent email is the one of interest
-      $result = array();
+      // Most recent email is the one of interest.
+      $email_body = $emails[count($emails) - 1]['body'];
+      $result = [];
       preg_match_all('/(user\/reset\/.*)This link can only be/s', $email_body, $result, PREG_PATTERN_ORDER);
       if (count($result == 2)) {
         $login_path = trim($result[1][0]);
-        $this->drupalGet($login_path);  // user login form
+        // User login form.
+        $this->drupalGet($login_path);
         $sstephens = user_load_by_name($username);
-        $this->drupalPost($login_path, array(), t('Log in'));
+        $this->drupalPost($login_path, [], t('Log in'));
         $sstephens = user_load_by_name($username);
 
-        $edit = array(
+        $edit = [
           'mail' => $username . '@hogwarts.edu',
           'pass[pass1]' => 'goodpwd',
           'pass[pass2]' => 'goodpwd',
           'field_fname[und][0][value]' => 'Samantha',
-          'field_lname[und][0][value]' => 'Stephens'
-        );
+          'field_lname[und][0][value]' => 'Stephens',
+        ];
 
         $this->drupalPost(NULL, $edit, t('Save'));
         $sstephens = user_load_by_name($username);
-        $servers = ldap_servers_get_servers(NULL, NULL, FALSE, TRUE); // clear cache
+        // Clear cache.
+        $servers = ldap_servers_get_servers(NULL, NULL, FALSE, TRUE);
         $desired_dn = "cn=$username,ou=people,dc=hogwarts,dc=edu";
         $ldap_entry_post = $servers[$test_sid]->dnExists($desired_dn, 'ldap_entry');
 
@@ -946,20 +972,21 @@ class LdapUserIntegrationTests extends LdapTestCase {
       }
       /**
        * @todo functional tests
-
-       do a password reset of some sort
-       try to add a drupal user that conflicts with an ldap user
-       try a binary fields such as a user profile image
+       *
+       * do a password reset of some sort
+       * try to add a drupal user that conflicts with an ldap user
+       * try a binary fields such as a user profile image
        */
 
     }
 
-    // test deletion of drupal entry on deletion of drupal user
-    foreach (array('activedirectory1', 'openldap1') as $test_sid) {
+    // Test deletion of drupal entry on deletion of drupal user.
+    foreach (['activedirectory1', 'openldap1'] as $test_sid) {
       $test_id = $test_sid;
-      // 1. setup
-      $sids = array($test_sid);
-      $this->prepTestData('hogwarts', $sids, 'provisionToLdap_' . $test_sid); // this will create the proper ldap_user configuration from ldap_test/ldap_user.conf.inc
+      // 1. setup.
+      $sids = [$test_sid];
+      // This will create the proper ldap_user configuration from ldap_test/ldap_user.conf.inc.
+      $this->prepTestData('hogwarts', $sids, 'provisionToLdap_' . $test_sid);
       $ldap_user_conf = ldap_user_conf('admin', TRUE);
       if (!in_array(LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE, $ldap_user_conf->ldapEntryProvisionTriggers)) {
         $ldap_user_conf->ldapEntryProvisionTriggers[] = LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE;
@@ -971,12 +998,12 @@ class LdapUserIntegrationTests extends LdapTestCase {
       if ($user = user_load_by_name($username)) {
         user_delete($user->uid);
       }
-      $user_edit = array(
+      $user_edit = [
         'name' => $username,
         'mail' => $username . '@hogwarts.org',
         'pass' => user_password(),
         'status' => 1,
-      );
+      ];
       $user_acct = new stdClass();
       $user_acct->is_new = TRUE;
       $user_acct->field_fname[LANGUAGE_NONE][0]['value'] = 'Bercilak';
@@ -991,12 +1018,11 @@ class LdapUserIntegrationTests extends LdapTestCase {
 
       $ldap_entry = $ldap_user_conf->getProvisionRelatedLdapEntry($drupal_account);
 
-      // 2. test
+      // 2. test.
       user_delete($drupal_account->uid);
       $ldap_server = ldap_servers_get_servers($test_sid, 'all', TRUE, TRUE);
       $ldap_entry_post_delete = $ldap_server->dnExists($desired_dn, 'ldap_entry');
 
-
       $success = (!$ldap_entry_post_delete);
       $this->assertTrue($success, t("ldap entry removed for $username on drupal user delete with deletion enabled."), $this->testId($test_id));
 
@@ -1007,26 +1033,26 @@ class LdapUserIntegrationTests extends LdapTestCase {
     }
   }
 
-   /**
-   * test cron function for dealing with ldap associated users who no longer have
+  /**
+   * Test cron function for dealing with ldap associated users who no longer have
    * ldap entries
-   *  - fix search in fake server to deal with general or queries
-  *
-  *  simpletest approach:
-  *  - loop through all options for user_cancel
-  *      ldap_user_orphan_email
-          user_cancel_block, user_cancel_block_unpublish,
-           user_cancel_reassign, user_cancel_delete
-  *    - automatically generate 70 ldap users with cns hpotter1-hpotter300
-  *    - create 75 corresponding drupal uses that are ldap identified
-  *    - delete 10 of the ldap entries
-  *    - run cron
-  *    - test for drupal accounts being dealt with correctly and or email sent
+   *  - fix search in fake server to deal with general or queries.
+   *
+   *  Simpletest approach:
+   *  - loop through all options for user_cancel
+   *      ldap_user_orphan_email
+   * user_cancel_block, user_cancel_block_unpublish,
+   * user_cancel_reassign, user_cancel_delete
+   *    - automatically generate 70 ldap users with cns hpotter1-hpotter300
+   *    - create 75 corresponding drupal uses that are ldap identified
+   *    - delete 10 of the ldap entries
+   *    - run cron
+   *    - test for drupal accounts being dealt with correctly and or email sent.
    */
-  function testDrupalAccountsOrphaned() {
+  public function testDrupalAccountsOrphaned() {
     // TODO: Fix failing tests, excluding to make branch pass.
     return;
-  // just to give warning if setup doesn't succeed.  may want to take these out at some point.
+    // Just to give warning if setup doesn't succeed.  may want to take these out at some point.
     $setup_success = (
         module_exists('ldap_user') &&
         module_exists('ldap_servers') &&
@@ -1034,17 +1060,17 @@ class LdapUserIntegrationTests extends LdapTestCase {
       );
     $this->assertTrue($setup_success, ' ldap_user setup successful', $this->testId('orphaned entries tests'));
 
-    $sids = array('activedirectory1');
+    $sids = ['activedirectory1'];
     $this->prepTestData('hogwarts', $sids, 'provisionToDrupal', 'default');
 
     $ldap_user_conf = ldap_user_conf('admin');
     $drupal_form = $ldap_user_conf->drupalForm();
     $account_options = $drupal_form['basic_to_drupal']['orphanedDrupalAcctBehavior']['#options'];
-    $cn_to_account = array();
+    $cn_to_account = [];
     $ldap_server = ldap_servers_get_servers('activedirectory1', NULL, TRUE, TRUE);
 
     foreach ($account_options as $account_option => $account_option_text) {
-      $sids = array('activedirectory1');
+      $sids = ['activedirectory1'];
       $this->prepTestData('hogwarts', $sids, 'provisionToDrupal', 'default');
       $ldap_user_conf->orphanedDrupalAcctBehavior = $account_option;
       $ldap_user_conf->save();
@@ -1052,10 +1078,11 @@ class LdapUserIntegrationTests extends LdapTestCase {
       $test_text = "Test of orphaned Drupal account option: $account_option_text";
       $success = FALSE;
 
-      // create 70 drupal accounts (clone0 to clone69) based on corresponding ldap entries
+      // Create 70 drupal accounts (clone0 to clone69) based on corresponding ldap entries.
       $first_clone_username = 'clone0';
       $last_clone_username = 'clone' . (LDAP_TEST_USER_ORPHAN_CLONE_COUNT - 1);
-      for ($i = 0; $i < LDAP_TEST_USER_ORPHAN_CLONE_COUNT; $i++) { // 70
+      // 70.
+      for ($i = 0; $i < LDAP_TEST_USER_ORPHAN_CLONE_COUNT; $i++) {
         $name = "clone" . $i;
         $account = $this->createLdapIdentifiedDrupalAccount(
           $ldap_user_conf,
@@ -1065,7 +1092,7 @@ class LdapUserIntegrationTests extends LdapTestCase {
         $cn_to_account[$name] = $account;
       }
 
-      // delete 10 ldap entries
+      // Delete 10 ldap entries.
       // @FIXME: Wrapper for broken test.
       if (is_object($cn_to_account[$first_clone_username])) {
         $clone_first_uid = $cn_to_account[$first_clone_username]->uid;
@@ -1090,8 +1117,9 @@ class LdapUserIntegrationTests extends LdapTestCase {
       switch ($account_option) {
 
         case 'ldap_user_orphan_do_not_check':
-          $test_uids = array();
-          for ($i = 0; $i < LDAP_TEST_USER_ORPHAN_CLONE_COUNT; $i++) { // 70
+          $test_uids = [];
+          // 70.
+          for ($i = 0; $i < LDAP_TEST_USER_ORPHAN_CLONE_COUNT; $i++) {
             $name = "clone" . $i;
             $test_uids[] = @$cn_to_account[$name]->uid;
           }
@@ -1107,27 +1135,29 @@ class LdapUserIntegrationTests extends LdapTestCase {
             $success = ($clone_last && $clone_last->status == 1);
           }
 
-        break;
+          break;
 
-        case 'ldap_user_orphan_email' :
-          // test is if email has 10 users and was sent
+        case 'ldap_user_orphan_email':
+          // Test is if email has 10 users and was sent.
           $emails = $this->drupalGetMails();
           if (count($emails)) {
-            $email_body = $emails[count($emails) - 1]['body']; // most recent email is the one of interest
+            // Most recent email is the one of interest.
+            $email_body = $emails[count($emails) - 1]['body'];
             $success = (strpos($email_body, "The following $delete Drupal users") !== FALSE);
           }
           else {
             $success = FALSE;
           }
 
-        break;
+          break;
 
         case 'user_cancel_block':
         case 'user_cancel_block_unpublish':
-          // test is if clone0-clone9 have a status of 0
-          // and clone12,11... have a status of 1
-          $test_uids = array();
-          for ($i = 0; $i < $delete; $i++) { // 70
+          // Test is if clone0-clone9 have a status of 0
+          // and clone12,11... have a status of 1.
+          $test_uids = [];
+          // 70.
+          for ($i = 0; $i < $delete; $i++) {
             $name = "clone" . $i;
             $test_uids[] = @$cn_to_account[$name]->uid;
           }
@@ -1143,14 +1173,15 @@ class LdapUserIntegrationTests extends LdapTestCase {
             $clone_last = user_load($clone_last_uid, TRUE);
             $success = ($clone_last && $clone_last->status == 1);
           }
-        break;
+          break;
 
         case 'user_cancel_reassign':
         case 'user_cancel_delete':
-          // test is if clone0-clone9 are deleted
-          // and clone12,11... have a status of 1
-          $test_uids = array();
-          for ($i = 0; $i < $delete; $i++) { // 70
+          // Test is if clone0-clone9 are deleted
+          // and clone12,11... have a status of 1.
+          $test_uids = [];
+          // 70.
+          for ($i = 0; $i < $delete; $i++) {
             $name = "clone" . $i;
             $test_uids[] = @$cn_to_account[$name]->uid;
           }
@@ -1162,12 +1193,12 @@ class LdapUserIntegrationTests extends LdapTestCase {
             $clone_last = user_load($clone_last_uid, TRUE);
             $success = ($clone_last && $clone_last->status == 1);
           }
-        break;
+          break;
       }
 
       $this->assertTrue($success, $test_id, $test_text);
 
-      // remove all drupal users except 1 for next test
+      // Remove all drupal users except 1 for next test.
       foreach ($cn_to_account as $cn => $account) {
         @user_delete($account->uid);
       }
@@ -1176,28 +1207,39 @@ class LdapUserIntegrationTests extends LdapTestCase {
 
   }
 
-  function createLdapIdentifiedDrupalAccount($ldap_user_conf, $name, $sid) {
+  /**
+   *
+   */
+  public function createLdapIdentifiedDrupalAccount($ldap_user_conf, $name, $sid) {
 
     $account = NULL;
-    $user_edit = array('name' => $name);
+    $user_edit = ['name' => $name];
     $user = $ldap_user_conf->provisionDrupalAccount($account, $user_edit, NULL, TRUE);
 
     return user_load($user->uid, TRUE);
   }
 
 }
-
+/**
+ *
+ */
 class LdapUserUITests extends LdapTestCase {
 
+  /**
+   *
+   */
   public static function getInfo() {
-    return array(
+    return [
       'name' => 'LDAP User User Interface',
       'description' => 'Test ldap user admin interface.',
-      'group' => 'LDAP User'
-    );
+      'group' => 'LDAP User',
+    ];
   }
 
-  function __construct($test_id = NULL) {
+  /**
+   *
+   */
+  public function __construct($test_id = NULL) {
     parent::__construct($test_id);
   }
 
@@ -1205,27 +1247,29 @@ class LdapUserUITests extends LdapTestCase {
   protected $ldap_test_data;
 
   /**
-   *  create one or more server configurations in such as way
-   *  that this setUp can be a prerequisite for ldap_authentication and ldap_authorization
+   * Create one or more server configurations in such as way
+   *  that this setUp can be a prerequisite for ldap_authentication and ldap_authorization.
    */
-
-  function setUp() {
-    parent::setUp(array('ldap_user', 'ldap_test'));
+  public function setUp() {
+    parent::setUp(['ldap_user', 'ldap_test']);
     variable_set('ldap_simpletest', 2);
   }
 
-  function tearDown() {
+  /**
+   *
+   */
+  public function tearDown() {
     parent::tearDown();
     variable_del('ldap_help_watchdog_detail');
     variable_del('ldap_simpletest');
   }
 
   /**
-   * make sure user admin interface works.  (its a beast)
+   * Make sure user admin interface works.  (its a beast)
    */
-  function testUI() {
+  public function testUI() {
 
-    // just to give warning if setup doesn't succeed.  may want to take these out at some point.
+    // Just to give warning if setup doesn't succeed.  may want to take these out at some point.
     $setup_success = (
         module_exists('ldap_user') &&
         module_exists('ldap_servers') &&
@@ -1233,13 +1277,13 @@ class LdapUserUITests extends LdapTestCase {
       );
     $this->assertTrue($setup_success, ' ldap_user setup successful', $this->testId('user interface tests'));
 
-    $sids = array('activedirectory1');
+    $sids = ['activedirectory1'];
     $this->prepTestData('hogwarts', $sids, 'provisionToDrupal', 'default');
 
-    $this->privileged_user = $this->drupalCreateUser(array(
+    $this->privileged_user = $this->drupalCreateUser([
       'administer site configuration',
-      'administer users'
-      ));
+      'administer users',
+    ]);
 
     $this->drupalLogin($this->privileged_user);
 
@@ -1250,7 +1294,7 @@ class LdapUserUITests extends LdapTestCase {
     // Populate the field settings with new settings.
     $sid = 'activedirectory1';
 
-    $edit_direct_map = array(
+    $edit_direct_map = [
 
       'manualAccountConflict' => LDAP_USER_MANUAL_ACCT_CONFLICT_LDAP_ASSOCIATE,
       'drupalAcctProvisionServer' => $sid,
@@ -1259,12 +1303,8 @@ class LdapUserUITests extends LdapTestCase {
       'orphanedDrupalAcctBehavior' => 'ldap_user_orphan_email',
       'orphanedCheckQty' => '50',
       'ldapEntryProvisionServer' => $sid,
-    );
-    // 'wsEnabled' => TRUE, 'wsKey' => $wsKey,
-
-
-// 'wsUserIps' => join("\n", $wsUserIps),
-    $edit = $edit_direct_map + array(
+    ];
+    $edit = $edit_direct_map + [
       'drupalAcctProvisionTriggers[' . LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE . ']' => TRUE,
       'drupalAcctProvisionTriggers[' . LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE . ']' => TRUE,
 
@@ -1304,7 +1344,7 @@ class LdapUserUITests extends LdapTestCase {
       '2__sm__ldap_attr__2' => '[dn]',
       '2__sm__4__2' => TRUE,
       '2__sm__4__2' => TRUE,
-    );
+    ];
 
     $this->drupalPost('admin/config/people/ldap/user', $edit, t('Save'));
 
